> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# リツイート

> リツイートの実行と取り消し、およびリツイート情報の取得

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Retweets エンドポイントを使用すると、リツイートおよびその取り消しを行い、ポストをリツイートしたユーザーを確認し、自分の投稿のリポストを取得できます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="リツイート" icon="retweet">
    ユーザーに代わってポストをリツイートする
  </Card>

  <Card title="リツイートの取り消し" icon="xmark">
    リツイートを解除する
  </Card>

  <Card title="リツイートしたユーザー" icon="users">
    ポストをリツイートしたユーザーを取得する
  </Card>

  <Card title="自分の投稿のリポスト" icon="repeat">
    自分の投稿へのリポストを取得する
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## エンドポイント
</div>

<div id="retweets-lookup">
  ### リポストの取得
</div>

| Method | Endpoint                                                         | Description          |
| :----- | :--------------------------------------------------------------- | :------------------- |
| GET    | [`/2/tweets/:id/retweeted_by`](/ja/x-api/posts/get-reposted-by)  | ポストをリポストしたユーザーを取得    |
| GET    | [`/2/tweets/:id/quote_tweets`](/ja/x-api/posts/get-quoted-posts) | ポストの引用ポストを取得         |
| GET    | [`/2/users/reposts_of_me`](/ja/x-api/users/get-reposts-of-me)    | 認証済みユーザーのポストのリポストを取得 |

<div id="manage-retweets">
  ### リツイートの管理
</div>

| Method | Endpoint                                                           | Description |
| :----- | :----------------------------------------------------------------- | :---------- |
| POST   | [`/2/users/:id/retweets`](/ja/x-api/users/repost-post)             | ポストをリツイートする |
| DELETE | [`/2/users/:id/retweets/:tweet_id`](/ja/x-api/users/unrepost-post) | リツイートを取り消す  |

***

<div id="example-get-retweeting-users">
  ## 例: リツイートしたユーザーの取得
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/retweeted_by?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-retweet-a-post">
  ## 例: ポストをリツイートする
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/retweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"tweet_id": "1234567890"}'
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * 利用する App の[キーとトークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="ルックアップ クイックスタート" icon="retweet" href="/ja/x-api/posts/retweets/quickstart/retweets-lookup">
    ポストのリツイートを取得
  </Card>

  <Card title="管理クイックスタート" icon="plus" href="/ja/x-api/posts/retweets/quickstart/manage-retweets">
    リツイートとその取り消しを実行
  </Card>

  <Card title="自分へのリポスト" icon="repeat" href="/ja/x-api/posts/retweets/quickstart/retweets-of-me">
    自分の投稿へのリポストを取得
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/posts/retweeted-by">
    エンドポイントに関する詳細ドキュメント
  </Card>
</CardGroup>
